Loading...
Searching...
No Matches
operators.hh File Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Operator concept

Define general, extensible interface for operators. The available implementation wraps a matrix. More...

`#include <dune-istl-config.hh>`
`#include <cmath>`
`#include <complex>`
`#include <iostream>`
`#include <iomanip>`
`#include <string>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/shared_ptr.hh>`
`#include "solvercategory.hh"`

Go to the source code of this file.

## Classes

class | Dune::LinearOperator< X, Y >
| A linear operator. More...
class | Dune::AssembledLinearOperator< M, X, Y >
| A linear operator exporting itself in matrix form. More...
class | Dune::MatrixAdapter< M, X, Y >
| Adapter to turn a matrix into a linear operator. More...

## Namespaces

namespace | Dune

## Detailed Description

Define general, extensible interface for operators. The available implementation wraps a matrix.